#!/bin/sh
set -e
set -x

day=$1
train_path=$2
model_name=$3
output_file=$4
HADOOP="/opt/apps/HADOOP-COMMON/hadoop-common-current/bin/hadoop"
$HADOOP fs -text ${train_path}/dt=$day/* | /root/sunmingze/alphaFM/bin/fm_predict -m model/$model_name -dim 0 -core 8 -out predict/${output_file}_$day.txt
cat predict/${output_file}_$day.txt | /root/sunmingze/AUC/AUC

# nohup sh 03_predict.sh 20240226 /dw/recommend/model/12_ros_data_v3/ model_jerry_20240225.txt model_jerry >p3_pred.log 2>&1 &
# nohup sh 03_predict.sh 20240226 /dw/recommend/model/12_ros_data_v3_noweight/ model_ros_tom_noweight_20240225.txt model_ros_tom_noweight2 >p3_pred.log 2>&1 &
# nohup sh 03_predict.sh 20240226 /dw/recommend/model/11_str_data_v3/ model_str_tom_20240222.txt model_str_tom >p3.log 2>&1 &

# nohup sh 03_predict.sh 20240226 /dw/recommend/model/11_str_data_v3/ model_str_tom_20240225.txt model_str_tom >p3.123.log 2>&1 &
